package com.keao.edu.user.entity;

import com.keao.edu.auth.api.entity.SysUser;
import com.keao.edu.user.enums.TransDirectionEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(exam_manual_ledger):
 */
public class ExamManualLedger {

	private Long id;

	@ApiModelProperty(value = "合作单位编号")
	private Integer organId;

	@ApiModelProperty(value = "合作单位基本信息")
	private Organization organization;

	@ApiModelProperty(value = "目标合作单位")
	private Integer targetOrganId;

	@ApiModelProperty(value = "考级项目编号")
	private Long examinationBasicId;
	
	@ApiModelProperty(value = "转账方向")
	private TransDirectionEnum transDirection;

	@ApiModelProperty(value = "交易金额")
	private java.math.BigDecimal amount;
	
	@ApiModelProperty(value = "交易时间")
	private java.util.Date transTime;
	
	@ApiModelProperty(value = "备注")
	private String memo;
	
	@ApiModelProperty(value = "操作人编号")
	private Integer operatorUserId;

	@ApiModelProperty(value = "操作人基本信息")
	private SysUser operator;

	private String tenantId;

	private java.util.Date createTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}

	public Integer getOrganId() {
		return organId;
	}

	public void setOrganId(Integer organId) {
		this.organId = organId;
	}

	public Integer getTargetOrganId() {
		return targetOrganId;
	}

	public void setTargetOrganId(Integer targetOrganId) {
		this.targetOrganId = targetOrganId;
	}

	public Long getExaminationBasicId() {
		return examinationBasicId;
	}

	public void setExaminationBasicId(Long examinationBasicId) {
		this.examinationBasicId = examinationBasicId;
	}

	public Organization getOrganization() {
		return organization;
	}

	public void setOrganization(Organization organization) {
		this.organization = organization;
	}

	public SysUser getOperator() {
		return operator;
	}

	public void setOperator(SysUser operator) {
		this.operator = operator;
	}

	public TransDirectionEnum getTransDirection() {
		return transDirection;
	}

	public void setTransDirection(TransDirectionEnum transDirection) {
		this.transDirection = transDirection;
	}

	public void setAmount(java.math.BigDecimal amount){
		this.amount = amount;
	}
	
	public java.math.BigDecimal getAmount(){
		return this.amount;
	}
			
	public void setTransTime(java.util.Date transTime){
		this.transTime = transTime;
	}
	
	public java.util.Date getTransTime(){
		return this.transTime;
	}
			
	public void setMemo(String memo){
		this.memo = memo;
	}
	
	public String getMemo(){
		return this.memo;
	}
			
	public void setOperatorUserId(Integer operatorUserId){
		this.operatorUserId = operatorUserId;
	}
	
	public Integer getOperatorUserId(){
		return this.operatorUserId;
	}

	public String getTenantId() {
		return tenantId;
	}

	public void setTenantId(String tenantId) {
		this.tenantId = tenantId;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
